Forward transform error is not handled gracefully

2012-09-23 07:30 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee: Magnus Homann

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15650

Description

At least on Windows, when there is a forward transform exception (like the message below), the mouse cursor changes to an hourglass

and it becomes impossible to do things like right-click on anything, or close QGIS (you need to kill the process).

forward transform of

(0.000000, 1.570796)

PROJ.4: +proj=tmerc +lat_0=0 +lon_0=173 +k=0.9996 +x_0=1600000 +y_0=10000000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0

+units=m +no_defs +to +proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m

+nadgrids=@null +wktext  +no_defs

Error: tolerance condition error

History

#1 - 2012-09-23 08:03 PM - Alister Hood

- File s.xml added

To replicate, start a blank project and set the Project CRS to EPSG:2193, then try to load the attached file.

#2 - 2012-09-23 11:23 PM - Giovanni Manghi

- Status changed from Open to Feedback

tested on 1.8 or master?

#3 - 2012-09-23 11:40 PM - Magnus Homann

- Assignee set to Magnus Homann

- Target version set to Version 2.0.0

- Category set to Projection Support

I can replicate.

#4 - 2012-09-23 11:44 PM - Alister Hood
Giovanni Manghi wrote:

tested on 1.8 or master?

Master.  Can anybody change the status back to "New"?

#5 - 2012-09-23 11:58 PM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2012-09-24 06:59 AM - Magnus Homann

- Status changed from Open to Closed

Fixed in commit:add0ebcc1e124b38b08ed55eb81a1adf9f0554ed

Files

s.xml 624 Bytes 2012-09-23 Alister Hood
